package cn.com.qmth.stmms.biz.mark.service;

import java.util.List;

import cn.com.qmth.stmms.biz.exam.model.MarkGroup;
import cn.com.qmth.stmms.biz.mark.model.ArbitrateHistory;
import cn.com.qmth.stmms.biz.mark.model.MarkLibrary;
import cn.com.qmth.stmms.biz.mark.model.Task;
import cn.com.qmth.stmms.biz.mark.query.MarkLibrarySearchQuery;

public interface TaskService {

    List<Task> findByQuery(MarkLibrarySearchQuery query);

    Task build(ArbitrateHistory history, MarkGroup group);

    Task build(MarkLibrary library);

    Task build(Integer studentId);

    boolean submitByStudent(Task task);

}
