package cn.com.qmth.stmms.common.session.service;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import cn.com.qmth.stmms.common.session.model.StmmsSession;

public interface SessionService {

    /**
     * 保存session
     * 
     * @param request
     * @param reponse
     * @param key
     * @param value
     */
    void put(HttpServletRequest request, HttpServletResponse response, StmmsSession ss);

    /**
     * 获取session
     * 
     * @param request
     * @param key
     * @return
     */
    StmmsSession get(HttpServletRequest request);

    /**
     * 删除session
     * 
     * @param reponse
     * @param sessionId
     */
    void remove(HttpServletRequest request, HttpServletResponse response);

}
