package cn.com.qmth.stmms.biz.campus.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.campus.model.Campus;

public interface CampusDao extends PagingAndSortingRepository<Campus, Integer>, JpaSpecificationExecutor<Campus> {

    public List<Campus> findBySchoolId(int schoolId);

    public List<Campus> findBySchoolIdAndName(int schoolId, String name);

}
