package cn.com.qmth.stmms.biz.test.util;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

import cn.com.qmth.stmms.biz.exam.model.Marker;

public class CurrentTaskUtilTest {

    public static void main(String[] args) {
        ExecutorService executor = Executors.newFixedThreadPool(10);
        for (int i = 1; i <= 10; i++) {
            executor.submit(new TaskTestThread(createMarker(i, 1, "101")));
        }
        executor.shutdown();
    }

    private static Marker createMarker(int id, int examId, String subjectCode) {
        Marker marker = new Marker();
        marker.setId(id);
        marker.setExamId(examId);
        marker.setSubjectCode(subjectCode);
        return marker;
    }
}
